com.google.gwt.cell.client

## Interface ButtonCellBase.DefaultAppearance.Style

All Superinterfaces:
  CssResource, CssResourceBase, ResourcePrototype

Enclosing class:
  ButtonCellBase.DefaultAppearance<C>

    @CssResource.ImportedWithPrefix(value="gwt-ButtonCellBase")
    public static interface ButtonCellBase.DefaultAppearance.Style
    extends CssResource

The Styles used by this appearance.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.resources.client.CssResource

`CssResource.ClassName, CssResource.Import, CssResource.ImportedWithPrefix, CssResource.NotStrict, CssResource.Shared, CssResource.Strict`

### Field Summary

Fields
`static java.lang.String` `DEFAULT_CSS`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `buttonCellBase()` Applied to the button.
`java.lang.String` `buttonCellBaseCollapseLeft()` Applied to the button when it has a collapsed left side.
`java.lang.String` `buttonCellBaseCollapseRight()` Applied to the button when it has a collapsed right side.
`java.lang.String` `buttonCellBaseDefault()` Applied to default buttons.
`java.lang.String` `buttonCellBaseNegative()` Applied to negative buttons.
`java.lang.String` `buttonCellBasePrimary()` Applied to primary buttons.
`java.lang.String` `buttonCellBasePushing()` Applied to the button when being pushed.

### Methods inherited from interface com.google.gwt.resources.client.CssResource

`ensureInjected, getText`

### Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype

`getName`

### Field Detail

#### DEFAULT_CSS

    static final java.lang.String DEFAULT_CSS

See Also:
  Constant Field Values

### Method Detail

#### buttonCellBase

    java.lang.String buttonCellBase()

Applied to the button.

#### buttonCellBaseCollapseLeft

    java.lang.String buttonCellBaseCollapseLeft()

Applied to the button when it has a collapsed left side.

#### buttonCellBaseCollapseRight

    java.lang.String buttonCellBaseCollapseRight()

Applied to the button when it has a collapsed right side.

#### buttonCellBaseDefault

    java.lang.String buttonCellBaseDefault()

Applied to default buttons.

#### buttonCellBaseNegative

    java.lang.String buttonCellBaseNegative()

Applied to negative buttons.

#### buttonCellBasePrimary

    java.lang.String buttonCellBasePrimary()

Applied to primary buttons.

#### buttonCellBasePushing

    java.lang.String buttonCellBasePushing()

Applied to the button when being pushed.